package com.crm.rely.backend.core.dto.finance.withdraw.automatic;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.Map;

@Data
public class FinanceWithdrawOzowDto extends FinanceWithdrawDto {

    private Map<String, String> params;
    private Map<String, String> paramsEn;


    private String ps;

    @JSONField(ordinal = 1)
    private BigDecimal amount;
    @JSONField(ordinal = 5)
    private String accountNumber;
    @JSONField(ordinal = 10)
    private String bankingCode;


    private Map<String, String> bankingCodeSelect;


    public FinanceWithdrawOzowDto() {

        params = new LinkedHashMap<>();

        paramsEn = new LinkedHashMap<>();
        params.put("amount", "金额");
        params.put("accountNumber", "银行卡号");
        params.put("bankingCode", "银行名称");


        paramsEn.put("amount", "amount");
        paramsEn.put("accountNumber", "accountNumber");
        paramsEn.put("bankingCode", "bankingCode");
    }
}
